<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@drawable/common_bottom_dialog_gray_bg"
    android:paddingHorizontal="16dp"
    android:paddingBottom="24dp">

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/tv_title"
        android:layout_width="match_parent"
        android:layout_height="@dimen/common_top_bar_height"
        android:fontFamily="@font/poppins_semibold"
        android:gravity="center"
        android:includeFontPadding="false"
        android:text="@string/common_recharge"
        android:textColor="@color/color_FF1D2129"
        android:textSize="16sp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/rv_recharge"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="4dp"
        android:background="@drawable/common_white_radius_16_bg"
        android:minHeight="@dimen/recharge_list_min_height"
        android:paddingHorizontal="12dp"
        android:paddingVertical="10dp"
        app:layout_constraintTop_toBottomOf="@id/tv_title"
        tools:itemCount="3"
        tools:listitem="@layout/layout_recharge_item" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_wallet"
        android:layout_width="match_parent"
        android:layout_height="44dp"
        android:layout_marginTop="12dp"
        android:background="@drawable/common_white_radius_16_bg"
        android:paddingHorizontal="12dp"
        app:layout_constraintTop_toBottomOf="@id/rv_recharge">

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/iv_wallet"
            android:layout_width="24dp"
            android:layout_height="24dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:srcCompat="@drawable/common_wallet_pay_ic" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_wallet"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="6dp"
            android:fontFamily="@font/poppins_semibold"
            android:includeFontPadding="false"
            android:text="@string/common_wallet"
            android:textColor="@color/color_FF1D2129"
            android:textSize="12sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toEndOf="@id/iv_wallet"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintVertical_chainStyle="packed" />

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/iv_wallet_currency"
            android:layout_width="12dp"
            android:layout_height="12dp"
            android:layout_marginEnd="2dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toStartOf="@id/tv_wallet_detail"
            app:layout_constraintTop_toTopOf="parent"
            tools:srcCompat="@drawable/common_wallet_coin_ic" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_wallet_detail"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:includeFontPadding="false"
            android:textColor="@color/color_FF1D2129"
            android:textSize="14sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:text="3000" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <com.adealink.weparty.commonui.widget.CommonButton
        android:id="@+id/btn_recharge"
        android:layout_width="0dp"
        android:layout_height="@dimen/common_button_height"
        android:layout_marginTop="27dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/cl_wallet"
        app:text="@string/common_recharge"
        app:textSize="16sp" />

</androidx.constraintlayout.widget.ConstraintLayout>